<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1server.html">server</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::server Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1server.html">dlib::server</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>async_start_thread</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>clear</b>() (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>cons</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>cons_mutex</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_graceful_close_timeout</b>() const (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_listening_ip</b>() const (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_listening_port</b>() const (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_max_connections</b>() const (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>graceful_close_timeout</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>http_1a</b> typedef (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>http_1a_c</b> typedef (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>iostream_1a</b> typedef (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>iostream_1a_c</b> typedef (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>is_running</b>() const (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kernel_1a</b> typedef (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kernel_1a_c</b> typedef (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>listening_ip</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>listening_ip_mutex</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1server.html#a7bdc2f045c2afbf9261b5595ccb9ae65">listening_port</a></td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>listening_port_mutex</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>max_connections</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>max_connections_mutex</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_connect</b>(connection &amp;new_connection)=0 (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_listening_port_assigned</b>() (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>open_listening_socket</b>() (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator=</b>(server &amp;) (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>running</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>running_mutex</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>running_signaler</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>sdlog</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>server</b>() (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>server</b>(server &amp;) (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>service_connection</b>(void *item) (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_graceful_close_timeout</b>(unsigned long timeout) (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_listening_ip</b>(const std::string &amp;ip) (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_listening_port</b>(int port) (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_max_connections</b>(int max) (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1server.html#adc784e803847fed6ed38f27006ded176">set_of_connections</a> typedef</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>shutting_down</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>shutting_down_mutex</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>sock</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>start</b>() (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>start_accepting_connections</b>() (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>start_async</b>() (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>start_async_helper</b>() (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>thread_count</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>thread_count_mutex</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>thread_count_signaler</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>thread_count_zero</b> (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~server</b>() (defined in <a class="el" href="classdlib_1_1server.html">dlib::server</a>)</td><td class="entry"><a class="el" href="classdlib_1_1server.html">dlib::server</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
